GET
Get legal disclosure and agreement
Get the latest text and version number of a legal disclosure and agreement for a given agreement ID. Display the copy in your application before submitting your end user's consent and attestation to BitGo.
Path Params
-
agreementIdstring enum requiredIdentifier for the legal disclosure and agreement type (e.g., amlAttestation, nonSolicitationLetterEu, nonSolicitationLetterSg, taxEDeliveryConsent)amlAttestationnonSolicitationLetterEunonSolicitationLetterSgtaxEDeliveryConsent
Responses
200
200
Response Body
object
Latest version number and content for a legal disclosure and agreement
-
agreementIdstring enum requiredIdentifier for the legal disclosure and agreement type (e.g., amlAttestation, nonSolicitationLetterEu, nonSolicitationLetterSg, taxEDeliveryConsent)amlAttestationnonSolicitationLetterEunonSolicitationLetterSgtaxEDeliveryConsent -
revisioninteger requiredAgreement version (revision) number -
contentmap of objects requiredLegal disclosure and agreement content payloadcontent object
-
<key>object
-
400
400
Response Body
object
Generic error response
-
codestring requiredError code -
messagestring requiredError message -
detailsmap of objectsAdditional error detailsdetails object
-
<key>object nullable
-
401
401
Response Body
object
Generic error response
-
codestring requiredError code -
messagestring requiredError message -
detailsmap of objectsAdditional error detailsdetails object
-
<key>object nullable
-
500
500
Response Body
object
Generic error response
-
codestring requiredError code -
messagestring requiredError message -
detailsmap of objectsAdditional error detailsdetails object
-
<key>object nullable
-
502
502
Response Body
object
Generic error response
-
codestring requiredError code -
messagestring requiredError message -
detailsmap of objectsAdditional error detailsdetails object
-
<key>object nullable
-
503
503
Response Body
object
Generic error response
-
codestring requiredError code -
messagestring requiredError message -
detailsmap of objectsAdditional error detailsdetails object
-
<key>object nullable
-